From 6d271aee716bf5d7a4a5dc632db88b6418ac8b59 Mon Sep 17 00:00:00 2001
From: Florents Tselai <florents.tselai@gmail.com>
Date: Thu, 17 Oct 2024 11:30:20 +0300
Subject: [PATCH v1] Add tip on using virtual envs with Pl/Python

---
 doc/src/sgml/plpython.sgml | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/doc/src/sgml/plpython.sgml b/doc/src/sgml/plpython.sgml
index e5d51d6e9f..9bea992e0f 100644
--- a/doc/src/sgml/plpython.sgml
+++ b/doc/src/sgml/plpython.sgml
@@ -1393,5 +1393,15 @@ plpy.execute("UPDATE tbl SET %s = %s WHERE key = %s" % (
    the <command>python</command> man page are only effective in a
    command-line interpreter and not an embedded Python interpreter.)
   </para>
+
+  <tip>
+   <para>
+    When installing <application>PL/Python</application>,
+    package managers usually pick up the system-wide interpreter.
+    In Python it is generally recommended to use virtual environments.
+    In that case you can set <envar>PYTHONPATH</envar> to something like
+    <literal>PYTHONPATH=/path/to/venv/lib/python3.XY</literal>.
+   </para>
+  </tip>
  </sect1>
 </chapter>
-- 
2.39.5 (Apple Git-154)

